Suppress copyright message for smartd module (rhbz#673758)

This commit is contained in:
Karel Klic 2011-03-28 15:00:22 +02:00
parent 890e14737c
commit ce2211ea93
2 changed files with 18 additions and 3 deletions

11
logwatch-smartd.patch Normal file
View File

@ -0,0 +1,11 @@
--- logwatch/scripts/services/smartd 2011-01-14 03:41:32.000000000 +1100
+++ logwatch/scripts/services/smartd 2011-01-21 23:08:22.000000000 +1100
@@ -116,7 +116,7 @@
# ignore empty lines
} elsif ( ($ThisLine =~ /^smartd version/)
|| ($ThisLine =~ /^Home page/)
- || ($ThisLine =~ /^smartd .* Copyright \(C\) [0-9-]+ by Bruce Allen/)
+ || ($ThisLine =~ /^smartd .*Copyright \(C\) [0-9-]+ by Bruce Allen/)
|| ($ThisLine =~ /configuration file/i)
|| ($ThisLine =~ /\[trip Temperature is \d+ Celsius\]/)
|| ($ThisLine =~ /^Monitoring/)

View File

@ -1,7 +1,7 @@
Summary: A log file analysis program
Name: logwatch
Version: 7.3.6
Release: 70.20110228svn46%{?dist}
Release: 71.20110228svn46%{?dist}
License: MIT
Group: Applications/System
URL: http://www.logwatch.org/
@ -22,6 +22,7 @@ Patch3: logwatch-named-dnssec.patch
# Manpage typo
Patch4: logwatch-manpage.patch
Patch5: logwatch-xntpd.patch
Patch6: logwatch-smartd.patch
Requires: textutils sh-utils grep mailx
Requires: perl(Date::Manip)
BuildArchitectures: noarch
@ -40,6 +41,7 @@ of the package on many systems.
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
rm -f scripts/services/*.orig
%build
@ -107,7 +109,7 @@ echo "# Configuration overrides for specific logfiles/services may be placed her
%files
%defattr(-,root,root)
%doc README HOWTO-Customize-LogWatch
%doc README HOWTO-Customize-LogWatch LICENSE
%dir %{_var}/cache/logwatch
%dir %{_sysconfdir}/logwatch/scripts
%dir %{_sysconfdir}/logwatch/conf/logfiles
@ -129,9 +131,11 @@ echo "# Configuration overrides for specific logfiles/services may be placed her
%{_datadir}/logwatch/default.conf/logfiles/*.conf
%{_datadir}/logwatch/default.conf/html/*.html
%{_mandir}/man*/*
%doc LICENSE
%changelog
* Mon Mar 28 2011 Karel Klíč <kklic@redhat.com> - 7.3.6-71.20110228svn46
- Added -smartd patch to suppress copyright message for smartd module (rhbz#673758)
* Mon Mar 28 2011 Karel Klíč <kklic@redhat.com> - 7.3.6-70.20110228svn46
- Added -xntpd patch (rhbz#673756)